make flatdb more compatible with maven build visualdct Debian package
Warning, cannot access the index:
_darcs/index: opening of '_darcs/index' failed: permission denied (Permission denied)
diff -rN -u old-bii_scripts/bin/flatdb new-bii_scripts/bin/flatdb
--- old-bii_scripts/bin/flatdb 2022-09-28 12:33:45.549148423 +0200
+++ new-bii_scripts/bin/flatdb 2022-09-28 12:33:45.549148423 +0200
@@ -31,6 +31,12 @@
rootdir=$FLATDB_VDCT_DIR
fi
+if [ -z "$FLATDB_VDCT_JAR" ]; then
+ vdctjar="VisualDCT.jar"
+else
+ vdctjar=$FLATDB_VDCT_JAR
+fi
+
vsn=current/
if [ "$1" = "-n" ]
@@ -45,7 +51,7 @@
fi
if [ "$1" = "-v" ]
then
- test -e $rootdir/$2/VisualDCT.jar && vsn=$2/
+ test -e $rootdir/$2/${vdctjar} && vsn=$2/
shift; shift
fi
@@ -55,9 +61,9 @@
fi
if [ -d $rootdir/plugins ]; then
- mycp=`echo $rootdir/${vsn}VisualDCT.jar $rootdir/plugins/*.jar | sed -e 's/ /:/g'`
+ mycp=`echo $rootdir/${vsn}${vdctjar} $rootdir/plugins/*.jar | sed -e 's/ /:/g'`
else
- mycp="$rootdir/${vsn}VisualDCT.jar"
+ mycp="$rootdir/${vsn}${vdctjar}"
fi
# last argument of $@:
patch 1d9870529a64c09238acdee77074a03fff962fd6
Author: christoph.schroeder@helmholtz-berlin.de
Date: Mon Nov 22 10:45:18 CET 2021
* make flatdb more compatible with maven build visualdct Debian package
The name of previously hardcoded VisualDCT.jar can now be altered
with the environment variable FLATDB_VDCT_JAR.
If FLATDB_VDCT_JAR is not set, VisualDCT.jar will still be the default